package uk.ac.vamsas.objects.utils;


import uk.ac.vamsas.objects.core.*;
import uk.ac.vamsas.objects.utils.document.VersionEntries;

/**
 * various vamsas-client independent helpers 
 * for creating and manipulating the vamsasDocument Vobject
 * @author jimp
 *
 */
public class DocumentStuff {
  public static VamsasDocument newVamsasDocument(VAMSAS root[], String version) {
    return newVamsasDocument(root, ProvenanceStuff.newProvenance(
      "AUTO:org.vamsas.DocumentStuff.newVamsasDocument", 
      "Vamsas Document created"),
      version);
  }
  public static VamsasDocument newVamsasDocument(VAMSAS root[]) {
    return newVamsasDocument(root, ProvenanceStuff.newProvenance(
      "AUTO:org.vamsas.DocumentStuff.newVamsasDocument", 
      "Vamsas Document created"),
      VersionEntries.latestVersion());
  }
  public static VamsasDocument newVamsasDocument(VAMSAS root[], Provenance p, String version) {
    VamsasDocument doc = new VamsasDocument();
    for (int r=0; r<root.length; r++) {
      doc.addVAMSAS(root[r]);
    }
    doc.setProvenance(p);
    doc.setVersion(version);
    return doc;
  }
}
